org.gnome.gtk

## Class Grid

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Widget
        - - org.gnome.gtk.Container
          - - org.gnome.gtk.Grid

- All Implemented Interfaces:
    Orientable

      public class Grid
      extends Container
      implements Orientable

  Layout Widgets in a row (horizontally or vertically), or in a table.

  This replaces GTK 2's VBox, HBox, and Table.

  Since:
    4.1.1
  Author:
    Andrew Cowie

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Widget

      `Widget.ButtonPressEvent, Widget.ButtonReleaseEvent, Widget.Destroy, Widget.Draw, Widget.EnterNotifyEvent, Widget.FocusInEvent, Widget.FocusOutEvent, Widget.Hide, Widget.KeyPressEvent, Widget.KeyReleaseEvent, Widget.LeaveNotifyEvent, Widget.MapEvent, Widget.MotionNotifyEvent, Widget.PopupMenu, Widget.QueryTooltip, Widget.ScrollEvent, Widget.SizeAllocate, Widget.UnmapEvent, Widget.VisibilityNotifyEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Grid()` Create a new Grid.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attach(Widget child, int left, int top, int width, int height)` Add a child Widget to this Grid.
    `Widget` | `getChildAt(int left, int top)` Retrieve a widget at a specific cell or null if there isn't any.
    `Orientation` | `getOrientation()` Get the orientation of this Orientable.
    `void` | `setColumnSpacing(int spacing)` Set the (extra) spacing between all columns.
    `void` | `setOrientation(Orientation orientation)` Set the orientation of this Orientable.
    `void` | `setRowSpacing(int spacing)` Set the (extra) spacing between all rows.

    - ### Methods inherited from class org.gnome.gtk.Container

      `add, getChildren, remove, setBorderWidth`

    - ### Methods inherited from class org.gnome.gtk.Widget

      `activate, addEvents, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, destroy, getAllocatedHeight, getAllocatedWidth, getAllocation, getCanDefault, getCanFocus, getHasFocus, getName, getParent, getPreferredHeightForWidthMinimum, getPreferredHeightForWidthNatural, getPreferredHeightMinimum, getPreferredHeightNatural, getPreferredWidthForHeightMinimum, getPreferredWidthForHeightNatural, getPreferredWidthMinimum, getPreferredWidthNatural, getRequestMode, getRequisition, getSensitive, getStyleContext, getToplevel, getWindow, grabAdd, grabDefault, grabFocus, grabRemove, hide, isSensitive, overrideBackground, overrideColor, overrideFont, queueDraw, queueDrawArea, realize, setAlignHorizontal, setAlignVertical, setCanDefault, setCanFocus, setEvents, setExpandHorizontal, setExpandVertical, setName, setSensitive, setSizeRequest, setTooltipMarkup, setTooltipText, show, showAll`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Grid

          public Grid()

      Create a new Grid.
      Since:
        4.1.1

  - ### Method Detail

    - #### attach

          public void attach(Widget child,
                    int left,
                    int top,
                    int width,
                    int height)

      Add a child Widget to this Grid.
      Since:
        4.1.1

    - #### getChildAt

          public Widget getChildAt(int left,
                          int top)

      Retrieve a widget at a specific cell or null if there isn't any.
      Since:
        4.1.3

    - #### getOrientation

          public Orientation getOrientation()

      Description copied from interface: `Orientable`
      Get the orientation of this Orientable.
      Specified by:
        `getOrientation` in interface `Orientable`

    - #### setColumnSpacing

          public void setColumnSpacing(int spacing)

      Set the (extra) spacing between all columns.
      Since:
        4.1.1

    - #### setOrientation

          public void setOrientation(Orientation orientation)

      Description copied from interface: `Orientable`
      Set the orientation of this Orientable.
      Specified by:
        `setOrientation` in interface `Orientable`

    - #### setRowSpacing

          public void setRowSpacing(int spacing)

      Set the (extra) spacing between all rows.
      Since:
        4.1.1